package ch.zhaw.projekt2.turnierverwaltung;

import java.io.IOException;
import java.io.InputStream;
import java.util.logging.*;
import java.time.LocalDateTime;


public class LogConfiguration {
    private static final Logger logger = Logger.getLogger(LogConfiguration.class.getCanonicalName());

    public LogConfiguration() throws IOException {
        String propertiesPath = "ch" + System.getProperty("file.separator") + "zhaw" + System.getProperty("file.separator") + "projekt2" + System.getProperty("file.separator") +
                "turnierverwaltung" + System.getProperty("file.separator") + "logging" + System.getProperty("file.separator") + "log.properties";

        InputStream logConfig = this.getClass().getClassLoader().getResourceAsStream("ch/zhaw/projekt2/turnierverwaltung/logging/log.properties");
        LogManager.getLogManager().readConfiguration(logConfig);


        Logger.getLogger(LogConfiguration.class.getPackageName());

        //Logger mainlogger = Logger.getLogger(LogConfiguration.class.getPackageName());
        //Logger mainlogger = Logger.getLogger("main");

        // programmatically add a file handler to the current logger
        //FileHandler fileHandler = new FileHandler(System.getProperty("user.dir") + System.getProperty("file.separator") + "tournierverwaltung_angrynerds" + System.getProperty("file.separator") + "turnierverwaltung.log", true);
        //fileHandler.setFormatter(new SimpleFormatter());    // use a default SimpleFormatter
        //fileHandler.setLevel(Level.FINER);                  // only handle messages level >= FINER
        //logger.addHandler(fileHandler);                     // add the handler to the specific logger
        //logger.setUseParentHandlers(false);               // if set to true (default) logging could happen twice
        //mainlogger.addHandler(fileHandler);
        //logger.fine("started logger");
    }
}
